%define upstream_name    Coro
%define upstream_version 6.31

%define _requires_exceptions perl(Exporter::)\\|perl(Coro::Socket::)
#define _without_check 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %upstream_version
Release:    %mkrel 2
Epoch:      2

Summary:    Coroutine process abstraction
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent) >= 5.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard) >= 0.500.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable) >= 2.150.0
BuildRequires: perl(common::sense)
BuildRequires: perl-AnyEvent >= 1:4.05
BuildRequires: perl-common-sense
BuildRequires: perl-devel
BuildRequires: perl-EV >= 2.0
BuildRequires: perl-Event
BuildRequires: perl-Guard
BuildRequires: perl-IO-AIO
%description
This module collection manages coroutines. Coroutines are similar to
threads but don't run in parallel.

%package AnyEvent
Summary:    Use Coro within an AnyEvent environment
Group:      Development/Perl

%description AnyEvent
This module integrates coroutines into any event loop supported by
AnyEvent, combining event-based programming with coroutine-based
programming in a natural way.

%package BDB
Summary:    Truly asynchronous bdb access
Group:      Development/Perl

%description BDB
This module implements a thin wrapper around the BDB module.

Each BDB request that could block and doesn't get passed a callback
will normally block all coroutines. after loading this module, this
will no longer be the case.

%package EV
Summary:    Use Coro within an EV environment
Group:      Development/Perl

%description EV
This module integrates coroutines into any event loop supported by EV,
combining event-based programming with coroutine-based programming in a
natural way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
# change shebang lines if needed
perl -pi -e 's{/opt/bin/perl}{/usr/bin/perl}' eg/* Coro/*
# remove failing test - http://rt.cpan.org/Ticket/Display.html?id=32475
rm EV/t/01_unblock.t

%build
echo -e  "n\nu\n" | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{!?_without_check:make test}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING Changes EV INSTALL META.json META.yml MYMETA.yml README eg
%dir %{perl_vendorarch}/Coro
%{perl_vendorarch}/Coro/AIO.pm
%{perl_vendorarch}/Coro/Channel.pm
%{perl_vendorarch}/Coro/CoroAPI.h
%{perl_vendorarch}/Coro/Debug.pm
%{perl_vendorarch}/Coro/Event.pm
%{perl_vendorarch}/Coro/Handle.pm
%{perl_vendorarch}/Coro/Intro.pod
%{perl_vendorarch}/Coro/LWP.pm
%{perl_vendorarch}/Coro/MakeMaker.pm
%{perl_vendorarch}/Coro/RWLock.pm
%{perl_vendorarch}/Coro/Select.pm
%{perl_vendorarch}/Coro/Semaphore.pm
%{perl_vendorarch}/Coro/SemaphoreSet.pm
%{perl_vendorarch}/Coro/Signal.pm
%{perl_vendorarch}/Coro/Socket.pm
%{perl_vendorarch}/Coro/Specific.pm
%{perl_vendorarch}/Coro/State.pm
%{perl_vendorarch}/Coro/Storable.pm
%{perl_vendorarch}/Coro/Timer.pm
%{perl_vendorarch}/Coro/Util.pm
%{perl_vendorarch}/Coro/jit*
%{perl_vendorarch}/Coro.pm
%{perl_vendorarch}/auto
%_mandir/man3/Coro.3pm*
%_mandir/man3/Coro::AIO.3pm*
%_mandir/man3/Coro::Channel.3pm*
%_mandir/man3/Coro::Debug.3pm*
%_mandir/man3/Coro::Event.3pm*
%_mandir/man3/Coro::Handle.3pm*
%_mandir/man3/Coro::Intro.3pm*
%_mandir/man3/Coro::LWP.3pm*
%_mandir/man3/Coro::MakeMaker.3pm*
%_mandir/man3/Coro::RWLock.3pm*
%_mandir/man3/Coro::Select.3pm*
%_mandir/man3/Coro::Semaphore.3pm*
%_mandir/man3/Coro::SemaphoreSet.3pm*
%_mandir/man3/Coro::Signal.3pm*
%_mandir/man3/Coro::Socket.3pm*
%_mandir/man3/Coro::Specific.3pm*
%_mandir/man3/Coro::State.3pm*
%_mandir/man3/Coro::Storable.3pm*
%_mandir/man3/Coro::Timer.3pm*
%_mandir/man3/Coro::Util.3pm*

%files BDB
%{perl_vendorarch}/Coro/BDB.pm
%{_mandir}/man3/Coro::BDB*

%files AnyEvent
%{perl_vendorarch}/Coro/AnyEvent.pm
%{_mandir}/man3/Coro::AnyEvent*

%files EV
%{perl_vendorarch}/Coro/EV.pm
%{_mandir}/man3/Coro::EV*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2:6.310.0-2.mga4
+ Revision: 526302
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2:6.310.0-1.mga4
+ Revision: 436485
- update to 6.31

* Wed May 29 2013 jquelin <jquelin> 2:6.230.0-3.mga4
+ Revision: 432090
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2:6.230.0-2.mga3
+ Revision: 364825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2:6.230.0-1.mga3
+ Revision: 341970
- update to 6.23

* Mon Oct 15 2012 jquelin <jquelin> 2:6.100.0-1.mga3
+ Revision: 306069
- update to 6.10

* Fri Aug 24 2012 pterjan <pterjan> 2:6.80.0-2.mga3
+ Revision: 283466
- Rebuild for new perl

* Tue Jun 05 2012 jquelin <jquelin> 2:6.80.0-1.mga3
+ Revision: 254725
- update to 6.08

* Wed May 30 2012 jquelin <jquelin> 2:6.70.0-2.mga3
+ Revision: 250386
- rebuild for perl 5.16

* Fri Nov 11 2011 kharec <kharec> 2:6.70.0-1.mga2
+ Revision: 166824
- update to 6.07

  + jquelin <jquelin>
    - update to 6.06
    - update to 6.02

* Fri Jul 08 2011 jquelin <jquelin> 2:6.10.0-1.mga2
+ Revision: 120366
- update to 6.01

* Thu Jun 30 2011 jquelin <jquelin> 2:6.0.0-2.mga2
+ Revision: 116723
- rebuild
- remove erroneous shebangs

* Thu Jun 30 2011 jquelin <jquelin> 2:6.0.0-1.mga2
+ Revision: 116473
- update to 6.0

* Fri Feb 25 2011 jquelin <jquelin> 2:5.372.0-1.mga2
+ Revision: 59636
- update to 5.372

* Tue Feb 22 2011 jquelin <jquelin> 2:5.371.0-1.mga1
+ Revision: 56509
- update to 5.371

* Mon Jan 24 2011 jquelin <jquelin> 2:5.250.0-1.mga1
+ Revision: 37015
- adding missing buildrequires:
- remove blocking EV test
- shipping perl-Coro-EV
- mageia rebuild
- remove files not found
- mageia rebuild
- imported package perl-Coro


* Thu Nov 11 2010 Götz Waschk <waschk@mandriva.org> 2:5.250.0-1mdv2011.0
+ Revision: 595977
- update to new version 5.25

* Sun Oct 24 2010 Götz Waschk <waschk@mandriva.org> 2:5.240.0-1mdv2011.0
+ Revision: 588036
- update to new version 5.24

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2:5.230.0-2mdv2011.0
+ Revision: 555716
- rebuild

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 2:5.230.0-1mdv2011.0
+ Revision: 550299
- update to new version 5.23

* Wed Apr 14 2010 Götz Waschk <waschk@mandriva.org> 2:5.220.0-1mdv2010.1
+ Revision: 534703
- update to new version 5.22

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 2:5.210.0-1mdv2010.1
+ Revision: 479696
- new version
- fix source URL

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2:5.200.0-1mdv2010.1
+ Revision: 460738
- new version
- update build deps

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 2:5.170.0-1mdv2010.0
+ Revision: 420258
- new version

* Mon Aug 03 2009 Götz Waschk <waschk@mandriva.org> 2:5.162.0-1mdv2010.0
+ Revision: 407699
- update to new version 5.162

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.161.0-1mdv2010.0
+ Revision: 398854
- update to 5.161

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2:5.151.0-1mdv2010.0
+ Revision: 392768
- removing EV files
- update to 5.151
- fixed license field

  + Götz Waschk <waschk@mandriva.org>
    - use right version macro

* Sat May 30 2009 Götz Waschk <waschk@mandriva.org> 2:5.132.0-1mdv2010.0
+ Revision: 381508
- new version
- remove the macro definition again

* Fri May 08 2009 Götz Waschk <waschk@mandriva.org> 2:5.131.0-2mdv2010.0
+ Revision: 373415
- resubmit
- add perl_convert_version macro
- use perl version macro

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2:5.131-1mdv2009.1
+ Revision: 356529
- update to new version 5.131

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 2:5.13-1mdv2009.1
+ Revision: 320317
- new version
- depend on perl-Guard

* Mon Dec 08 2008 Götz Waschk <waschk@mandriva.org> 2:5.12-1mdv2009.1
+ Revision: 311732
- update to new version 5.12

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 2:5.11-1mdv2009.1
+ Revision: 306932
- update to new version 5.11

* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 2:5.1-1mdv2009.1
+ Revision: 306561
- new version
- update file list

* Sun Nov 23 2008 Götz Waschk <waschk@mandriva.org> 2:5.0-1mdv2009.1
+ Revision: 305959
- update to new version 5.0

* Sun Nov 16 2008 Götz Waschk <waschk@mandriva.org> 2:4.913-1mdv2009.1
+ Revision: 303683
- update to new version 4.913

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2:4.912-1mdv2009.1
+ Revision: 303106
- update to new version 4.912

* Thu Nov 13 2008 Götz Waschk <waschk@mandriva.org> 2:4.911-1mdv2009.1
+ Revision: 302631
- update to new version 4.911

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 2:4.804-1mdv2009.1
+ Revision: 300473
- update to new version 4.804

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2:4.803-1mdv2009.1
+ Revision: 299817
- update to new version 4.803

* Fri Oct 31 2008 Götz Waschk <waschk@mandriva.org> 2:4.802-1mdv2009.1
+ Revision: 298846
- update to new version 4.802

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2:4.801-1mdv2009.1
+ Revision: 296655
- update to new version 4.801

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2:4.749-1mdv2009.1
+ Revision: 291907
- new version

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2:4.747-1mdv2009.0
+ Revision: 287714
- update to new version 4.747

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2:4.746-1mdv2009.0
+ Revision: 286467
- update to new version 4.746

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 2:4.745-1mdv2009.0
+ Revision: 244979
- new version

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 2:4.744-1mdv2009.0
+ Revision: 232902
- new version

* Mon Jun 16 2008 Götz Waschk <waschk@mandriva.org> 2:4.743-1mdv2009.0
+ Revision: 219389
- new version

* Wed May 28 2008 Götz Waschk <waschk@mandriva.org> 2:4.72-1mdv2009.0
+ Revision: 212581
- new version
- bump AnyEvent dep
- add AnyEvent subpackage

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 2:4.51-1mdv2009.0
+ Revision: 193700
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 2:4.49-1mdv2009.0
+ Revision: 192408
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 2:4.37-1mdv2008.1
+ Revision: 155570
- new version
- reenable checks

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2:4.36-2mdv2008.1
+ Revision: 153984
- disable check for bootstrapping

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 2:4.36-1mdv2008.1
+ Revision: 151119
- new version

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.34-1mdv2008.1
+ Revision: 137993
- update to new version 4.34

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2:4.33-2mdv2008.1
+ Revision: 133738
- split out Coro::BDB module

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2:4.33-1mdv2008.1
+ Revision: 132036
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 2:4.31-1mdv2008.1
+ Revision: 115832
- new version

* Mon Dec 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.22-1mdv2008.1
+ Revision: 114489
- update to new version 4.22
- update to new version 4.22

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 2:4.21-1mdv2008.1
+ Revision: 112121
- new version
- bump dep

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2:4.13-1mdv2008.1
+ Revision: 103743
- new version

* Fri Oct 12 2007 Götz Waschk <waschk@mandriva.org> 2:4.11-1mdv2008.1
+ Revision: 97274
- new version

* Sun Oct 07 2007 Götz Waschk <waschk@mandriva.org> 2:4.03-1mdv2008.1
+ Revision: 95677
- new version

* Fri May 18 2007 Götz Waschk <waschk@mandriva.org> 2:3.63-1mdv2008.0
+ Revision: 28296
- new version

* Sat Apr 28 2007 Götz Waschk <waschk@mandriva.org> 2:3.62-1mdv2008.0
+ Revision: 18927
- new version

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 2:3.61-1mdv2008.0
+ Revision: 16010
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 3.55-1mdv2007.1
+ Revision: 149088
- new version

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 2:3.51-1mdv2007.1
+ Revision: 133462
- new version

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2:3.5-1mdv2007.1
+ Revision: 127050
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1:3.41-1mdv2007.1
+ Revision: 112296
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 1:3.4-1mdv2007.1
+ Revision: 111288
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 1:3.3-1mdv2007.1
+ Revision: 105201
- new version

* Thu Jan 04 2007 Götz Waschk <waschk@mandriva.org> 1:3.2-1mdv2007.1
+ Revision: 104044
- new version
- fix configuration
- reenable checks

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 3.11-1mdv2007.1
+ Revision: 91719
- Import perl-Coro

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 3.11-1mdv2007.1
- disable check for bootstrapping
- fix build
- New version 3.11

* Tue May 16 2006 Götz Waschk <waschk@mandriva.org> 1.9-2mdk
- fix deps

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 1.9-1mdk
- First Mandriva package

